> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# chargeCard

> Card Charging



## OpenAPI

````yaml /openapi/collections.json post /collection/charge
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/charge:
    post:
      tags:
        - Card
      summary: chargeCard
      description: Card Charging
      operationId: charing card payment
      requestBody:
        description: Payment through Cards
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Charge'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChargeResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Charge:
      required:
        - transactionId
        - cardDetails
      type: object
      properties:
        transactionId:
          type: string
          example: Flick-4a28b0-9087-12ed-adc2-a35191f-aab
        cardDetails:
          type: string
          example: >-
            eZl0T7elDC3VWefiqYT4RujW7tL5gF6rslfpc/coZUIyXU26+MvBa0MDZI/OK6Q/DpIUn4UfxhKzk4z6LQ8dOob1J4t0VSfVLFjk4yAa5XvDFYFGRMbTZZ62PTLjzZ6tm0/ePlqRJhKDFeH5/l4pD7e5eSKyTf/MKZdw7J4QaVzCqAoIEAzWKex01O0ItInfMtMyVQK6w8NrloLgFoR8MisFK8319apdC+RE9rrrestY+gjeXCBrqivTAPPfYLad/tIRco75ZSLp6SZHnMpi11N2+/oxKzLwm3IJLv/8xjpQKPOi4ITZp==
    ChargeResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        requireAuth:
          type: string
          example: 'true'
        transactionId:
          type: string
          example: Flick-4a28be60-9087-514a54591f-aaa
        authorizationMode:
          type: string
          example: otp/pin
        authorizationFields:
          type: string
          example: otp
        amount:
          type: string
          example: '12345'
        message:
          type: string
          example: Waiting for OTP / Please send Pin
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.